Download it now!
Bug 111884 - PPTX with animation on grouped shapes opens with repair in PowerPoint after roundtrip
Summary: PPTX with animation on grouped shapes opens with repair in PowerPoint after r...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2017-08-17 16:47 UTC by Aron Budea
Modified: 2017-09-07 22:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample PPTX (30.17 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-08-17 16:47 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-17 16:47:24 UTC
Created attachment 135626 [details]
Sample PPTX

The attached presentation contains a group of shapes with a simple animation.
Save it as a new PPTX in Impress. The resulting file opens with repair in PowerPoint.

Observed using LO 6.0 daily build (2017-08-15_01:59:49 / bebaac5eb6ebd2db3e1ea22b1630111343a9c25c) / Windows 7.
Comment 1 Aron Budea 2017-08-17 16:49:34 UTC
Also observed with LO 4.0.0.3.
Comment 2 Xisco Faulí 2017-08-31 22:35:05 UTC
Using Open XML SDK 2.5 I get this error: Error Description: The attribute 'spid' has invalid value '-1'. The string '-1' is not a valid 'UInt32' value, which is the same as in bug 104788
Comment 3 Xisco Faulí 2017-08-31 23:13:25 UTC
Commit from https://gerrit.libreoffice.org/#/c/41766/ also fixes attachment 50678 [details] from bug 40483
Comment 4 Commit Notification 2017-09-01 12:31:39 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e06ef6f42e47780b26f6f3424bb2053e0490d8e3

tdf#111884: Implement export of group shapes in pptx.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-09-01 12:32:54 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a00ad98e421ca7110c58c66fb7bd04cc2306bb59

tdf#111884: Unit test.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-09-06 12:45:41 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ac9d6d2a0def5ccc7d8b0d8893c8462f87cb9e5

related tdf#111884: GroupShapes are now handled in oox.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jan Holesovsky 2017-09-07 21:42:25 UTC
Should be closed now I hope :-)
Comment 8 Xisco Faulí 2017-09-07 22:31:08 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 383aab7ed63bf30931c1cf89138707d2228b5dce
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group